> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check email domain for SSO before showing password

> Extracts the domain from the submitted email and checks if any company
has mandatory SSO configured for that domain. If so, redirects to SSO.
Otherwise, re-renders the login page at the password step.



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/entity-manager post /oauth/check-email
openapi: 3.0.0
info:
  title: entity-manager
  version: unknown
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 400 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /oauth/check-email:
    post:
      tags:
        - OAuth
      summary: Check email domain for SSO before showing password
      description: |-
        Extracts the domain from the submitted email and checks if any company
        has mandatory SSO configured for that domain. If so, redirects to SSO.
        Otherwise, re-renders the login page at the password step.
      operationId: oauth-post-check-email
      parameters: []
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                redirect_uri:
                  type: string
                state:
                  type: string
                username:
                  type: string
                lang:
                  type: string
                response_type:
                  type: string
                code_challenge:
                  type: string
                code_challenge_method:
                  type: string
              required:
                - client_id
                - redirect_uri
                - username
              additionalProperties: false
      responses:
        '204':
          description: No Content
      security:
        - password_auth: []
components:
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````